Subject: bug#34606: Emacs colors are off in screen sessions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Feb 2019 17:20:43 +0200

> From: Clément Pit-Claudel <[email-masked]>
> Date: Thu, 21 Feb 2019 09:56:18 -0500
> 
> Is this all as expected?  Why does changing to xterm-256color yield different results with or without ncurses-term?  If I understand correctly, the reason why TERM changes after I install ncurses-term is that this package provides the screen.xterm-256color termcap entry, and then screen acts as documented:
> 
>        When screen tries to figure out a terminal name for itself, it first looks for an entry named "screen.<term>",
>        where <term> is the contents of your $TERM variable.  If no such  entry  exists,  screen  tries  "screen" (…)
> 
> Is there anything that Emacs could do differently to make things smoother?  In particular, could TERM=screen.xterm-256color behave the same as TERM=screen-256color?

Emacs on a TTY doesn't control the colors in RGB terms, it just tells
the terminal to display color number N.  What you actually see as
result is up to the terminfo entry and the terminal emulator, AFAIK
mostly the latter.  So I'd suggest to dig into 'screen's
customizations to see how to affect the colors (I customized the
colors of PuTTY to get something I like, for example).